org.eclipse.cdt.core.dom.ast

## Interface IProblemBinding

All Superinterfaces:
  java.lang.Cloneable, IBinding, IScope, ISemanticProblem, IType

    public interface IProblemBinding
    extends IBinding, IScope, IType, ISemanticProblem

Interface for problem bindings.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`IScope.ScopeLookupData`

### Field Summary

Fields
`static int` `LAST_PROBLEM` Deprecated.
`static int` `SEMANTIC_AMBIGUOUS_LOOKUP`
`static int` `SEMANTIC_BAD_SCOPE`
`static int` `SEMANTIC_CIRCULAR_INHERITANCE`
`static int` `SEMANTIC_DEFINITION_NOT_FOUND`
`static int` `SEMANTIC_INVALID_OVERLOAD`
`static int` `SEMANTIC_INVALID_REDECLARATION`
`static int` `SEMANTIC_INVALID_REDEFINITION`
`static int` `SEMANTIC_INVALID_TEMPLATE_ARGUMENTS`
`static int` `SEMANTIC_INVALID_TYPE`
`static int` `SEMANTIC_INVALID_USING`
`static int` `SEMANTIC_KNR_PARAMETER_DECLARATION_NOT_FOUND`
`static int` `SEMANTIC_LABEL_STATEMENT_NOT_FOUND`
`static int` `SEMANTIC_MEMBER_DECLARATION_NOT_FOUND`
`static int` `SEMANTIC_NAME_NOT_FOUND`
`static int` `SEMANTIC_RECURSION_IN_LOOKUP`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.ISemanticProblem

`BINDING_AMBIGUOUS_LOOKUP, BINDING_BAD_SCOPE, BINDING_CIRCULAR_INHERITANCE, BINDING_DEFINITION_NOT_FOUND, BINDING_INVALID_OVERLOAD, BINDING_INVALID_REDECLARATION, BINDING_INVALID_REDEFINITION, BINDING_INVALID_TEMPLATE_ARGUMENTS, BINDING_INVALID_TYPE, BINDING_INVALID_USING, BINDING_KNR_PARAMETER_DECLARATION_NOT_FOUND, BINDING_LABEL_STATEMENT_NOT_FOUND, BINDING_MEMBER_DECLARATION_NOT_FOUND, BINDING_NO_CLASS, BINDING_NOT_FOUND, BINDING_RECURSION_IN_LOOKUP, TYPE_AUTO_FOR_NON_STATIC_FIELD, TYPE_AUTO_FOR_VIRTUAL_METHOD, TYPE_CANNOT_DEDUCE_AUTO_TYPE, TYPE_CANNOT_DEDUCE_DECLTYPE_AUTO_TYPE, TYPE_ENUMERATION_EXPECTED, TYPE_NO_NAME, TYPE_NOT_PERSISTED, TYPE_UNKNOWN_FOR_EXPRESSION, TYPE_UNRESOLVED_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`IASTNode` `getASTNode()` Returns the AST node that this problem was created for
`IBinding[]` `getCandidateBindings()` Returns bindings that were considered when resolving the node corresponding to this problem binding, but rejected for some reason.
`java.lang.String` `getFileName()` Returns the file name this problem occurred in, or `null` if it is unknown.
`int` `getLineNumber()` Returns the line number for this problem, or -1 if it is unknown.

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IScope

`find, find, getBinding, getBinding, getBindings, getBindings, getBindings, getKind, getParent, getScopeName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.ISemanticProblem

`getID, getMessage`

### Field Detail

#### SEMANTIC_NAME_NOT_FOUND

    static final int SEMANTIC_NAME_NOT_FOUND

See Also:
  Constant Field Values

#### SEMANTIC_INVALID_OVERLOAD

    static final int SEMANTIC_INVALID_OVERLOAD

See Also:
  Constant Field Values

#### SEMANTIC_INVALID_USING

    static final int SEMANTIC_INVALID_USING

See Also:
  Constant Field Values

#### SEMANTIC_AMBIGUOUS_LOOKUP

    static final int SEMANTIC_AMBIGUOUS_LOOKUP

See Also:
  Constant Field Values

#### SEMANTIC_INVALID_TYPE

    static final int SEMANTIC_INVALID_TYPE

See Also:
  Constant Field Values

#### SEMANTIC_CIRCULAR_INHERITANCE

    static final int SEMANTIC_CIRCULAR_INHERITANCE

See Also:
  Constant Field Values

#### SEMANTIC_DEFINITION_NOT_FOUND

    static final int SEMANTIC_DEFINITION_NOT_FOUND

See Also:
  Constant Field Values

#### SEMANTIC_KNR_PARAMETER_DECLARATION_NOT_FOUND

    static final int SEMANTIC_KNR_PARAMETER_DECLARATION_NOT_FOUND

See Also:
  Constant Field Values

#### SEMANTIC_LABEL_STATEMENT_NOT_FOUND

    static final int SEMANTIC_LABEL_STATEMENT_NOT_FOUND

See Also:
  Constant Field Values

#### SEMANTIC_BAD_SCOPE

    static final int SEMANTIC_BAD_SCOPE

See Also:
  Constant Field Values

#### SEMANTIC_INVALID_REDEFINITION

    static final int SEMANTIC_INVALID_REDEFINITION

See Also:
  Constant Field Values

#### SEMANTIC_INVALID_REDECLARATION

    static final int SEMANTIC_INVALID_REDECLARATION

See Also:
  Constant Field Values

#### SEMANTIC_MEMBER_DECLARATION_NOT_FOUND

    static final int SEMANTIC_MEMBER_DECLARATION_NOT_FOUND

See Also:
  Constant Field Values

#### SEMANTIC_RECURSION_IN_LOOKUP

    static final int SEMANTIC_RECURSION_IN_LOOKUP

See Also:
  Constant Field Values

#### SEMANTIC_INVALID_TEMPLATE_ARGUMENTS

    static final int SEMANTIC_INVALID_TEMPLATE_ARGUMENTS

Since:
  5.1
See Also:
  Constant Field Values

#### LAST_PROBLEM

    @Deprecated
    static final int LAST_PROBLEM

Deprecated.

See Also:
  Constant Field Values

### Method Detail

#### getASTNode

    IASTNode getASTNode()

Returns the AST node that this problem was created for

#### getFileName

    java.lang.String getFileName()

Returns the file name this problem occurred in, or `null` if it is unknown.

#### getLineNumber

    int getLineNumber()

Returns the line number for this problem, or -1 if it is unknown.

#### getCandidateBindings

    IBinding[] getCandidateBindings()

Returns bindings that were considered when resolving the node corresponding to this problem binding, but rejected for some reason.

Returns:
  an array of candidate bindings.
Since:
  5.1